com.r3corda.protocols / ServiceRequestMessage

# ServiceRequestMessage

`interface ServiceRequestMessage`

Abstract superclass for request messages sent to services which expect a reply.

### Properties

replyTo | `abstract val replyTo: SingleMessageRecipient`
sessionID | `abstract val sessionID: Long`

### Inheritors

FetchMapRequest | `class FetchMapRequest : ServiceRequestMessage`
QueryIdentityRequest | `class QueryIdentityRequest : ServiceRequestMessage`
RegistrationRequest | `class RegistrationRequest : ServiceRequestMessage`
SubscribeRequest | `class SubscribeRequest : ServiceRequestMessage`